## ros-kinetic-turtlebot-capabilities 2.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_capabilities)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY interfaces
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY providers
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-turtlebot-capabilities (2.4.2-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 22 Dec 2016 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.4.1-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 22 Dec 2016 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.4.0-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 01 Nov 2016 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.12-0xenial) xenial; urgency=high

  * Fix typo.
  * Contributors: Patrick Chin

 -- William Woodall <william@osrfoundation.org>  Mon, 27 Jun 2016 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.11-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 15 Apr 2015 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.10-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 02 Apr 2015 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.9-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 30 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.8-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 23 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.7-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 02 Mar 2015 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.6-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 27 Feb 2015 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.5-0xenial) xenial; urgency=high

  * bringup depend on capabilities. capabilities should not depend on bringup #185 <https://github.com/turtlebot/turtlebot/issues/185>
  * Contributors: Jihoon Lee

 -- William Woodall <william@osrfoundation.org>  Mon, 12 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.4-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 07 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.3-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.2-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.1-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.3.0-0xenial) xenial; urgency=high

  * Enable capabilities server for turtlebot on indigo
  * adds turtlebot_capabilities package and related changes
  * Contributors: Marcus Liebhardt, kentsommer
  * Enable capabilities server for turtlebot on indigo
  * adds turtlebot_capabilities package and related changes
  * Contributors: Marcus Liebhardt, kentsommer

 -- William Woodall <william@osrfoundation.org>  Sun, 30 Nov 2014 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.2.5-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 23 May 2014 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.2.4-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 07 Apr 2014 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.2.3-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 14 Jan 2014 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.2.2-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 14 Oct 2013 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.2.1-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sat, 14 Sep 2013 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.2.0-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sat, 31 Aug 2013 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.1.1-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 06 Aug 2013 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.1.0-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 15 Jul 2013 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.0.2-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 Apr 2013 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.0.1-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Mar 2013 07:00:00 -0000

ros-kinetic-turtlebot-capabilities (2.0.0-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sat, 16 Feb 2013 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (1.9.4-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 16 Jan 2013 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (1.9.3-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sat, 05 Jan 2013 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (1.9.2-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 02 Jan 2013 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (1.9.1-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sat, 22 Dec 2012 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (1.9.0-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sat, 15 Dec 2012 08:00:00 -0000

ros-kinetic-turtlebot-capabilities (1.0.3-0xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Dec 2012 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-turtlebot-capabilities
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/turtlebot_capabilities
Standards-Version: 3.9.2

Package: ros-kinetic-turtlebot-capabilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-capabilities, ros-kinetic-std-capabilities
Description: Capabilities for the TurtleBot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-turtlebot-capabilities//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
